<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::BriefUnitTestResultPrinter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1BriefUnitTestResultPrinter.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::BriefUnitTestResultPrinter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::internal::BriefUnitTestResultPrinter:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1BriefUnitTestResultPrinter__inherit__graph.svg" width="202" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for testing::internal::BriefUnitTestResultPrinter:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1BriefUnitTestResultPrinter__coll__graph.svg" width="202" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a627950fb96d7d4cfd1f851d9bae1ecc7"><td class="memItemLeft" align="right" valign="top"><a id="a627950fb96d7d4cfd1f851d9bae1ecc7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a627950fb96d7d4cfd1f851d9bae1ecc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a017614b56c6d30cded4e7a9e2cd674a6"><td class="memItemLeft" align="right" valign="top"><a id="a017614b56c6d30cded4e7a9e2cd674a6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;, int) override</td></tr>
<tr class="separator:a017614b56c6d30cded4e7a9e2cd674a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b8445b82d9aba7d1247b6f8d3d3abf3"><td class="memItemLeft" align="right" valign="top"><a id="a2b8445b82d9aba7d1247b6f8d3d3abf3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a2b8445b82d9aba7d1247b6f8d3d3abf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4c25c2190db6c39784329ad932f12ae"><td class="memItemLeft" align="right" valign="top"><a id="af4c25c2190db6c39784329ad932f12ae"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:af4c25c2190db6c39784329ad932f12ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b36045c4179edcb54f82f1d51d38795"><td class="memItemLeft" align="right" valign="top"><a id="a2b36045c4179edcb54f82f1d51d38795"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseStart</b> (const TestCase &amp;) override</td></tr>
<tr class="separator:a2b36045c4179edcb54f82f1d51d38795"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa83a33065f68e117bd7d840fe191be6a"><td class="memItemLeft" align="right" valign="top"><a id="aa83a33065f68e117bd7d840fe191be6a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestStart</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;) override</td></tr>
<tr class="separator:aa83a33065f68e117bd7d840fe191be6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca32da1e631ce44e64804078844f94b8"><td class="memItemLeft" align="right" valign="top"><a id="aca32da1e631ce44e64804078844f94b8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestPartResult</b> (const TestPartResult &amp;result) override</td></tr>
<tr class="separator:aca32da1e631ce44e64804078844f94b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75d77451c674519eed649c52f73c61c0"><td class="memItemLeft" align="right" valign="top"><a id="a75d77451c674519eed649c52f73c61c0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestEnd</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;test_info) override</td></tr>
<tr class="separator:a75d77451c674519eed649c52f73c61c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaa19bdfc9d9981e554cf40a4e4d6f42"><td class="memItemLeft" align="right" valign="top"><a id="aaaa19bdfc9d9981e554cf40a4e4d6f42"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseEnd</b> (const TestCase &amp;) override</td></tr>
<tr class="separator:aaaa19bdfc9d9981e554cf40a4e4d6f42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a009cd64ff8c09e710f0ed30ac8a4dbd0"><td class="memItemLeft" align="right" valign="top"><a id="a009cd64ff8c09e710f0ed30ac8a4dbd0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a009cd64ff8c09e710f0ed30ac8a4dbd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c962765dfaa484ab9dc21699ce636c9"><td class="memItemLeft" align="right" valign="top"><a id="a2c962765dfaa484ab9dc21699ce636c9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a2c962765dfaa484ab9dc21699ce636c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8533d95c71833e1f8d0d63f519ec2e6f"><td class="memItemLeft" align="right" valign="top"><a id="a8533d95c71833e1f8d0d63f519ec2e6f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test, int iteration) override</td></tr>
<tr class="separator:a8533d95c71833e1f8d0d63f519ec2e6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7429a7423562e4dd6cabce8ea6c661c8"><td class="memItemLeft" align="right" valign="top"><a id="a7429a7423562e4dd6cabce8ea6c661c8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;) override</td></tr>
<tr class="separator:a7429a7423562e4dd6cabce8ea6c661c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtesting_1_1TestEventListener"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtesting_1_1TestEventListener')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtesting_1_1TestEventListener.html">testing::TestEventListener</a></td></tr>
<tr class="memitem:a2726cc70dfda861f109355f1d9f09dfe inherit pub_methods_classtesting_1_1TestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a2726cc70dfda861f109355f1d9f09dfe"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteStart</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;)</td></tr>
<tr class="separator:a2726cc70dfda861f109355f1d9f09dfe inherit pub_methods_classtesting_1_1TestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8962caad5d2522c9160c794074a662ee inherit pub_methods_classtesting_1_1TestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="a8962caad5d2522c9160c794074a662ee"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteEnd</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;)</td></tr>
<tr class="separator:a8962caad5d2522c9160c794074a662ee inherit pub_methods_classtesting_1_1TestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a813e9362f92046cbd7b0f30fcdd30ea8"><td class="memItemLeft" align="right" valign="top"><a id="a813e9362f92046cbd7b0f30fcdd30ea8"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>PrintTestName</b> (const char *test_suite, const char *test)</td></tr>
<tr class="separator:a813e9362f92046cbd7b0f30fcdd30ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1BriefUnitTestResultPrinter.html">BriefUnitTestResultPrinter</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
